snd_card_register
Prev | Chapter 24. Sound Devices | Next

## Name

snd_card_register — register the soundcard

## Synopsis

`int snd_card_register (` | struct snd_card * | card`)`;

## Arguments

`card`

  soundcard structure

## Description

This function registers all the devices assigned to the soundcard. Until calling this, the ALSA control interface is blocked from the external accesses. Thus, you should call this function at the end of the initialization of the card.

Returns zero otherwise a negative error code if the registrain failed.

Prev | Up | Next
snd_card_disconnect | Home | snd_component_add